Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCParameter

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.adf.model.binding.DCParameter`

All Implemented Interfaces:
  java.util.Map

Direct Known Subclasses:
  DCMethodParameter

public class DCParameter
extends DCControlBinding

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`static java.lang.String` | `ATTR_VALUE`
`protected boolean` | `mInternalGet_KeyResolved`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, ROW_KEY_STR`

Constructor Summary
`protected` | `DCParameter()` *** For internal framework use only ***
`` | `DCParameter(java.lang.Object value)`
`` | `DCParameter(java.lang.String expression)`

Method Summary
`void` | `addControlToPanel(java.lang.Object x, java.lang.Object y, java.lang.Object z)` noop
`java.lang.String` | `getExpression()`
`java.lang.Object` | `getValue()`
`protected void` | `initResources()` Invoked when the bindingContainer is being initialized for the first time or after it's locale is changed.
`protected java.lang.Object` | `internalGet(java.lang.String key)` Subclasses should override this to handle a specific key.
`void` | `refreshControl()` noop
`protected void` | `release(int flags)`
`protected void` | `resetInputState()` noop
`void` | `setBindingContainer(DCBindingContainer formBnd)`
`void` | `setExpression(java.lang.String expression)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getControlModel, getCurrentRow, getDCIteratorBinding, getDef, getDefFullName, getDefName, getError, getErrors, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalHasPermission, internalSetName, isControlQueriable, needsEstimatedRowCount, processInputException, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setControl, setListener, setListener`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut, put`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_VALUE

    public static final java.lang.String ATTR_VALUE

  See Also:
    Constant Field Values

### mInternalGet_KeyResolved

    protected boolean mInternalGet_KeyResolved

Constructor Detail

### DCParameter

    protected DCParameter()

  *** For internal framework use only ***

### DCParameter

    public DCParameter(java.lang.Object value)

### DCParameter

    public DCParameter(java.lang.String expression)

Method Detail

### initResources

    protected void initResources()

  Description copied from class: `DCControlBinding`
  Invoked when the bindingContainer is being initialized for the first time or after it's locale is changed. This gives subclasses a chance to drop their initialized locale based resources.
  Specified by:
    `initResources` in class `DCControlBinding`

### getValue

    public java.lang.Object getValue()

### getExpression

    public java.lang.String getExpression()

### setExpression

    public void setExpression(java.lang.String expression)

### internalGet

    protected java.lang.Object internalGet(java.lang.String key)

  Subclasses should override this to handle a specific key. If they do find the key valid, they should also set the mInternalGet_KeyResolved to 'true' so that bean-introspection is not done for valid null-value returns from the internalGet() call.

  Properties returned vis getter on this parameter are:

  - `value` - returns getValue()
  -   Overrides:
        `internalGet` in class `DCControlBinding`

### refreshControl

    public void refreshControl()

  noop
  Specified by:
    `refreshControl` in class `DCControlBinding`

### resetInputState

    protected void resetInputState()

  noop
  Specified by:
    `resetInputState` in class `DCControlBinding`

### addControlToPanel

    public void addControlToPanel(java.lang.Object x,
                                  java.lang.Object y,
                                  java.lang.Object z)

  noop

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DCControlBinding`

### setBindingContainer

    public void setBindingContainer(DCBindingContainer formBnd)

  Overrides:
    `setBindingContainer` in class `DCControlBinding`

### setName

    public void setName(java.lang.String name)

  Overrides:
    `setName` in class `DCControlBinding`

### release

    protected void release(int flags)

  Overrides:
    `release` in class `DCControlBinding`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.